package ru.dbotthepony.mc.otm.registry.game

import net.minecraft.core.registries.Registries
import net.minecraft.resources.ResourceKey
import net.minecraft.world.level.levelgen.structure.Structure
import ru.dbotthepony.mc.otm.OverdriveThatMatters.loc

object MStructures {
	val CARGO_CONTAINER = create("cargo_container")
	val FIELD_RESEARCH_POD = create("field_research_pod")
	val FIELD_RESEARCH_POD_RUIN = create("field_research_pod_ruin")
	val FRIGATE = create("frigate")
	val FUEL_BASE = create("fuel_base")
	val LABORATORY = create("laboratory")
	val OCEAN_CONTAINER = create("ocean_container")
	val WRECKAGE = create("wreckage")

	fun create(location: String): ResourceKey<Structure> {
		return ResourceKey.create(Registries.STRUCTURE, loc(location))
	}
}
